package com.example.four.lottery1536;

import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Color;
import android.os.Build;
import android.support.v4.view.ViewPager;
import android.support.v7.app.AlertDialog;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.Html;
import android.view.View;
import android.view.ViewParent;
import android.view.Window;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

public class WelcomeActivity extends AppCompatActivity {

    private ViewPager viewPager;
    private LinearLayout layoutDot;
    private TextView[]dotstv;
    private int[]layouts;
    private Button btnBack;
    private Button btnNext;
    private MyPagerAdapter pagerAdapter;
    private Button check1;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_welcome);


//        if(!isFirstTimeStartApp()){
//            startMainActivity();
//            finish();
//        }
        //ตั้งค่า xml (Init component)



        setStatusBarTransparent();

        setContentView(R.layout.activity_welcome);

        viewPager = (ViewPager)findViewById(R.id.view_pager);
        layoutDot = findViewById(R.id.dotLayout);
        btnNext = findViewById(R.id.btn_next);
//        btnBack = findViewById(R.id.btn_back);

        //ปิดปุ่ม Back ในครั้งแรก
//        btnBack.setVisibility(View.GONE);

        //when user press skip, start Main Activity
        //Handle Button Click


//        btnBack.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View view) {
//                int currentPage = viewPager.getCurrentItem();
//                if(currentPage == layouts.length-4 || currentPage == layouts.length-3 || currentPage == layouts.length-2 ||currentPage == layouts.length-1){
//                      onBackPressed();
////                    //move is next page
////                    viewPager.setCurrentItem(currentPage);
//                }
//                else {
//
//                }
//                }
//                //startMainActivity();
//
//        });

        btnNext.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                int currentPage = viewPager.getCurrentItem();
                System.out.println(currentPage);
                if(currentPage == layouts.length-4){
                    startCheckLottery();
                    //move is next page
//                    viewPager.setCurrentItem(currentPage);
                }
                else if(currentPage == layouts.length-3){
                    startHistory();
                }
                else if(currentPage == layouts.length-2){
                    startTop();
                }
                else if(currentPage == layouts.length-1){
                    startAdmin();
                }
            }
        });

        //แสดง 4 หน้าต่างเป็น Arrays
        layouts = new int[]{R.layout.slider_1,R.layout.slider_2, R.layout.slider_3, R.layout.slider_4};
        pagerAdapter = new MyPagerAdapter(layouts,getApplicationContext());
        viewPager.setAdapter(pagerAdapter);

        viewPager.addOnPageChangeListener(new ViewPager.OnPageChangeListener() {
            @Override
            public void onPageScrolled(int position, float positionOffset, int positionOffsetPixels) {

            }

            //ค้นหาตำแหน่งเมื่อคลิกจนสุดให้หายไป
            @Override
            public void onPageSelected(int position) {
                if(position == layouts.length-4){
//                     btnNext.setOnClickListener(new View.OnClickListener() {
//                         @Override
//                         public void onClick(View view) {
//                             startCheckLottery();
//                         }
//                     });
                    //Last page
//                    btnBack.setVisibility(View.VISIBLE);
//                    btnNext.setVisibility(View.VISIBLE);
                }
// else if(position == layouts.length-4){
//                    btnNext.setText("NEXT");
//                    btnBack.setVisibility(View.GONE);
//                }
                else{
////                  btnNext.setText("NEXT");
//                    btnNext.setVisibility(View.VISIBLE);
//                    btnBack.setVisibility(View.VISIBLE);
                }
                setDotStatus(position); //ตัวเลื่อนจุดด้านล่างเมื่อกด next
            }

            @Override
            public void onPageScrollStateChanged(int state) {

            }
        });
        setDotStatus(0);
    }

        private boolean isFirstTimeStartApp(){
            SharedPreferences ref = getApplicationContext().getSharedPreferences("IntroSliderApp", Context.MODE_PRIVATE);
            return ref.getBoolean("FirstTimeStartFlag", true);
        }

        private void setFirstTimeStartStatus(boolean stt){
            SharedPreferences ref = getApplicationContext().getSharedPreferences("IntroSliderApp", Context.MODE_PRIVATE);
            SharedPreferences.Editor editor = ref.edit();
            editor.putBoolean("FirstTimeStartFlag", stt);
            editor.commit();
        }

        //จุดด้านล่างตรงกลาง
    private void setDotStatus(int page){
        layoutDot.removeAllViews();
        dotstv = new TextView[layouts.length];
        for (int i = 0;i < dotstv.length; i++){
            dotstv[i] = new TextView(this);
            dotstv[i].setText(Html.fromHtml("&#8226"));
            dotstv[i].setTextSize(30);
            dotstv[i].setTextColor(Color.parseColor("#a9b4bb"));
            layoutDot.addView(dotstv[i]);

        }

        if(dotstv.length>0){
            dotstv[page].setTextColor(Color.parseColor("#ffffff"));
        }
    }
    //เปลี่ยนหน้า slider_1
    private void startCheckLottery() {
        setFirstTimeStartStatus(true); //false คือไปแล้วกลับไปหน้า WelcomeActivity ไม่ได้
        startActivity(new Intent(WelcomeActivity.this, CheckLottery.class));
        finish();
    }
    //เปลี่ยนหน้า slider_2
    private void startHistory() {
        setFirstTimeStartStatus(true); //false คือไปแล้วกลับไปหน้า WelcomeActivity ไม่ได้
        startActivity(new Intent(WelcomeActivity.this, History.class));
        finish();
    }
    private void startTop() {
        setFirstTimeStartStatus(true); //false คือไปแล้วกลับไปหน้า WelcomeActivity ไม่ได้
        startActivity(new Intent(WelcomeActivity.this, Top.class));
        finish();
    }
    private void startAdmin() {
        setFirstTimeStartStatus(true); //false คือไปแล้วกลับไปหน้า WelcomeActivity ไม่ได้
        startActivity(new Intent(WelcomeActivity.this, Admin.class));
        finish();
    }
//    private void startMainActivity() {
//        setFirstTimeStartStatus(true); //false คือไปแล้วกลับไปหน้า WelcomeActivity ไม่ได้
//        startActivity(new Intent(WelcomeActivity.this, MainActivity.class));
//        finish();
//    }

    //make status bar transparent
    private void setStatusBarTransparent(){
        if (Build.VERSION.SDK_INT >= 21){
            //ไม่ให้ทับด้านบนสุดพวก ไวไฟ หรือ แบตเตอรี่ STSTEM_UI_FLAG_LAYOUT_FULLSCREEN
            getWindow().getDecorView().setSystemUiVisibility(View.SYSTEM_UI_FLAG_LAYOUT_STABLE|View.SYSTEM_UI_FLAG_LAYOUT_FULLSCREEN);
            Window window = getWindow();
            window.addFlags(WindowManager.LayoutParams.FLAG_DRAWS_SYSTEM_BAR_BACKGROUNDS);
            window.setStatusBarColor(Color.TRANSPARENT);
        }
    }
    public void onBackPressed(){
        AlertDialog.Builder builder = new AlertDialog.Builder(WelcomeActivity.this);
        builder.setTitle("Really Exit?")
                .setMessage("Are you sure?")
                .setPositiveButton("Ok", new DialogInterface.OnClickListener() {
                    @Override
                    public void onClick(DialogInterface dialogInterface, int which) {
                        WelcomeActivity.super.onBackPressed();
                    }
                })
                .setNegativeButton("Cancel", null).setCancelable(false);

        AlertDialog alert = builder.create();
        alert.show();
    }
}
